com.holonplatform.vaadin7.data

## Enum ItemDataSource.ItemAction

- java.lang.Object
- - java.lang.Enum<ItemDataSource.ItemAction>
  - - com.holonplatform.vaadin7.data.ItemDataSource.ItemAction

- All Implemented Interfaces:
    Serializable, Comparable<ItemDataSource.ItemAction>
  Enclosing interface:
    ItemDataSource<ITEM,PROPERTY>

      public static enum ItemDataSource.ItemAction
      extends Enum<ItemDataSource.ItemAction>

  Item actions enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDED` An item was added
    `LOADED` An item was loaded
    `MODIFIED` An item was modified
    `REFRESHED` An item was modified
    `REMOVED` An item was removed
    `SET_CHANGED` The item set changed

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ItemDataSource.ItemAction` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ItemDataSource.ItemAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOADED

          public static final ItemDataSource.ItemAction LOADED

      An item was loaded

    - #### ADDED

          public static final ItemDataSource.ItemAction ADDED

      An item was added

    - #### MODIFIED

          public static final ItemDataSource.ItemAction MODIFIED

      An item was modified

    - #### REFRESHED

          public static final ItemDataSource.ItemAction REFRESHED

      An item was modified

    - #### REMOVED

          public static final ItemDataSource.ItemAction REMOVED

      An item was removed

    - #### SET_CHANGED

          public static final ItemDataSource.ItemAction SET_CHANGED

      The item set changed

  - ### Method Detail

    - #### values

          public static ItemDataSource.ItemAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ItemDataSource.ItemAction c : ItemDataSource.ItemAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ItemDataSource.ItemAction valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019 The Holon Platform. All rights reserved.